Subject: missing wcsncmp,wcscpy,wcsncpy and more...
From: Zhang Le <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2002 18:11:06 +0800

Hi all,
  I'm new to cygwin and have some questions after trying latest release of 
cygwin:
1.some wcs* family functions are missing in libc namely:
	wcsncmp,wcscpy,wcsncpy and perhaps others though they have been
	decalared in wchar.h
  
    And it seems there's a wcslen() in newlib.I don't know why others are 
missing.I think maybe the maintainer of newlib forget to add the above 
functions(or intend to do so ?)

2.function prototypes in wchar.h and wctype.h should be placed in 
   #ifdef __cplusplus
   extern "C" {
   }
   #endif
   
   the missing of above Marco in current wchar.h cause a link error when I try 
to link my program with my replacement wcs funcs from glibc.(using 
AC_REPLACE_FUNCS in configure)

3.gcc3.2 for mingw&cygwin does not support *wstring* so far(cause a link error 
on libstdc++), but the linux gcc3.2 has *wstring* support in libstdc++.
  I have to use gcc-2 instead if I want to write some *wstring* aware 
applications.

4.the latest cygwin seems does not work under a beta version of MS .net 
standard server(build 3607).will it support official version of .net in the 
future?

Any tips?
Thanks in advance.
-- 
                                       Sincerely yours,
                                                  Zhang Le

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/